Bug 240139 - net-mgmt/zabbix*: Add status command to the zabbix_java rc script
Summary: net-mgmt/zabbix*: Add status command to the zabbix_java rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-27 01:25 UTC by TAO ZHOU
Modified: 2020-06-14 15:20 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+
koobs: merge-quarterly?


Attachments
rc.d script (1.06 KB, application/x-shellscript)
2019-08-27 01:25 UTC, TAO ZHOU
no flags Details
patch (1.07 KB, patch)
2019-08-29 02:06 UTC, TAO ZHOU
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description TAO ZHOU 2019-08-27 01:25:32 UTC
Created attachment 206945 [details]
rc.d script

The default rc.d script of zabbix_java does not support status command properly.
Here I attached a custom script I wrote.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-27 02:51:34 UTC
Thank you for the report and patch Tao. If you could provide the attachment as a patch (unified diff or svn diff) against the existing port file, that would be great
Comment 2 TAO ZHOU 2019-08-29 02:06:06 UTC
Created attachment 206992 [details]
patch

The script is actually located in port net-mgmt/zabbix42-server.
Here's the patch
Comment 3 commit-hook freebsd_committer 2020-06-14 15:18:05 UTC
A commit references this bug:

Author: dbaio
Date: Sun Jun 14 15:17:04 UTC 2020
New revision: 538809
URL: https://svnweb.freebsd.org/changeset/ports/538809

Log:
  net-mgmt/zabbix*: Add status command to the zabbix_java rc script

  PR:		240139
  Submitted by:	TAO ZHOU <zhoutao@laocius.org>
  Approved by:	maintainer timeout (pg@pakhom.spb.ru, > 9 months)

Changes:
  head/net-mgmt/zabbix3-java/Makefile
  head/net-mgmt/zabbix3-server/files/zabbix_java.in
  head/net-mgmt/zabbix4-java/Makefile
  head/net-mgmt/zabbix4-server/files/zabbix_java.in
  head/net-mgmt/zabbix42-java/Makefile
  head/net-mgmt/zabbix42-server/files/zabbix_java.in
  head/net-mgmt/zabbix44-java/Makefile
  head/net-mgmt/zabbix44-server/files/zabbix_java.in
  head/net-mgmt/zabbix5-java/Makefile
  head/net-mgmt/zabbix5-server/Makefile
  head/net-mgmt/zabbix5-server/files/zabbix_java.in
Comment 4 Danilo G. Baio freebsd_committer 2020-06-14 15:20:14 UTC
Committed with slight changes, thanks for your work and sorry for the delay.